[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TDaemon.OnContinue

Daemon continue

## Declaration

Source position: daemonapp.pp line 106

`published property TDaemon.OnContinue : TDaemonOKEvent read FOnContinue write FOnContinue;`

## Description

OnPause is the event called when the daemon must be stopped. This event handler should return as quickly as possible. If it must perform lengthy operations, it is best to report the status to the operating system at regular intervals using the ReportStatus method.

If a thread was started in the OnExecute event and it was suspended in a OnPause event, this is the place where the thread's executed should be resumed.

## See also

TDaemon.OnStart |  | Daemon start event
TDaemon.OnPause |  | Daemon pause event
ReportStatus |  | Report the current status to the operating system

Documentation generated on: Feb 26 2014